package com.pcloud.book.applet.entity;

import java.util.Date;
import java.io.Serializable;

/**
 * 小程序书刊资源意见反馈记录表(AppletBookFeedback)实体类
 *
 * @author guiq
 * @since 2021-02-20 17:13:22
 */
public class AppletBookFeedback implements Serializable {
    private static final long serialVersionUID = -23562759782689190L;
    /**
     * 主键ID
     */
    private Long id;
    /**
     * 意见反馈内容
     */
    private String content;
    /**
     * 图片1
     */
    private String pic1;
    /**
     * 图片2
     */
    private String pic2;
    /**
     * 图片3
     */
    private String pic3;
    /**
     * 图片4
     */
    private String pic4;
    /**
     * 用户ID
     */
    private Long wechatUserId;
    /**
     * 图书ID
     */
    private Long bookId;
    /**
     * 渠道ID
     */
    private Long channelId;
    /**
     * 编辑ID
     */
    private Long adviserId;
    /**
     * 创建时间
     */
    private Date createTime;


    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getPic1() {
        return pic1;
    }

    public void setPic1(String pic1) {
        this.pic1 = pic1;
    }

    public String getPic2() {
        return pic2;
    }

    public void setPic2(String pic2) {
        this.pic2 = pic2;
    }

    public String getPic3() {
        return pic3;
    }

    public void setPic3(String pic3) {
        this.pic3 = pic3;
    }

    public String getPic4() {
        return pic4;
    }

    public void setPic4(String pic4) {
        this.pic4 = pic4;
    }

    public Long getWechatUserId() {
        return wechatUserId;
    }

    public void setWechatUserId(Long wechatUserId) {
        this.wechatUserId = wechatUserId;
    }

    public Long getBookId() {
        return bookId;
    }

    public void setBookId(Long bookId) {
        this.bookId = bookId;
    }

    public Long getChannelId() {
        return channelId;
    }

    public void setChannelId(Long channelId) {
        this.channelId = channelId;
    }

    public Long getAdviserId() {
        return adviserId;
    }

    public void setAdviserId(Long adviserId) {
        this.adviserId = adviserId;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

}
